Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3847)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3848)
@@ -5018,47 +4778,45 @@
 
 
-
- !-------------------------------------------------------------------
- !> rc_gstom_emb: stomatal conductance according to Emberson
- !-------------------------------------------------------------------
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to compute stomatal conductance according to Emberson
+!------------------------------------------------------------------------------!
  SUBROUTINE rc_gstom_emb( lu, glrad, T, vpd, lai_present, lai, sinp, Gsto, p )
-    !
-    !-- History
-    !>   Original code from Lotos-Euros, TNO, M. Schaap
-    !>   2009-08, M.C. van Zanten, Rivm
-    !>     Updated and extended.
-    !>   2009-09, Arjo Segers, TNO
-    !>     Limitted temperature influence to range to avoid
-    !>     floating point exceptions.
-    !
-    !> Method
-    !
-    !>   Code based on Emberson et al, 2000, Env. Poll., 403-413
-    !>   Notation conform Unified EMEP Model Description Part 1, ch 8
-    !
-    !>   In the calculation of f_light the modification of L. Zhang 2001, AE to the PARshade and PARsun
-    !>   parametrizations of Norman 1982 are applied
-    !
-    !>   f_phen and f_SWP are set to 1
-    !
-    !>   Land use types DEPAC versus Emberson (Table 5.1, EMEP model description)
-    !>   DEPAC                     Emberson
-    !>     1 = grass                 GR = grassland
-    !>     2 = arable land           TC = temperate crops ( lai according to RC = rootcrops)
-    !<     3 = permanent crops       TC = temperate crops ( lai according to RC = rootcrops)
-    !<     4 = coniferous forest     CF = tempareate/boREAL(wp) coniferous forest
-    !>     5 = deciduous forest      DF = temperate/boREAL(wp) deciduous forest
-    !>     6 = water                 W  = water
-    !>     7 = urban                 U  = urban
-    !>     8 = other                 GR = grassland
-    !>     9 = desert                DE = desert
+!
+!>  History
+!>   Original code from Lotos-Euros, TNO, M. Schaap
+!>   2009-08, M.C. van Zanten, Rivm
+!>     Updated and extended.
+!>   2009-09, Arjo Segers, TNO
+!>     Limitted temperature influence to range to avoid
+!>     floating point exceptions.
+
+!> Method
+
+!>   Code based on Emberson et al, 2000, Env. Poll., 403-413
+!>   Notation conform Unified EMEP Model Description Part 1, ch 8
+!
+!>   In the calculation of f_light the modification of L. Zhang 2001, AE to the PARshade and PARsun
+!>   parametrizations of Norman 1982 are applied
+!>   f_phen and f_SWP are set to 1
+!
+!>   Land use types DEPAC versus Emberson (Table 5.1, EMEP model description)
+!>   DEPAC                     Emberson
+!>     1 = grass                 GR = grassland
+!>     2 = arable land           TC = temperate crops ( lai according to RC = rootcrops)
+!>     3 = permanent crops       TC = temperate crops ( lai according to RC = rootcrops)
+!>     4 = coniferous forest     CF = tempareate/boREAL(wp) coniferous forest
+!>     5 = deciduous forest      DF = temperate/boREAL(wp) deciduous forest
+!>     6 = water                 W  = water
+!>     7 = urban                 U  = urban
+!>     8 = other                 GR = grassland
+!>     9 = desert                DE = desert
 
     IMPLICIT NONE
-
-    !
-    !-- Emberson specific declarations
-
-    !
-    !-- Input/output variables:
+!
+!-- Emberson specific declarations
+!
+!-- Input/output variables:
     INTEGER(iwp), INTENT(IN) ::  lu             !< land use type, lu = 1,...,nlu
 
@@ -5075,7 +4833,6 @@
 
     REAL(wp), INTENT(OUT) ::  gsto              !< stomatal conductance (m/s)
-
-    !
-    !-- Local variables:
+!
+!-- Local variables:
     REAL(wp) ::  f_light
     REAL(wp) ::  f_phen
@@ -5094,8 +4851,6 @@
     REAL(wp) ::  pres
     REAL(wp), PARAMETER ::  p_sealevel = 1.01325e05    !< Pa
-
-
-    !
-    !-- Check whether vegetation is present:
+!
+!-- Check whether vegetation is present:
     IF ( lai_present )  THEN
 
@@ -5106,9 +4861,8 @@
           sinphi = sinp
        END IF
-
-       !
-       !-- ratio between actual and sea-level pressure is used
-       !-- to correct for height in the computation of par;
-       !-- should not exceed sea-level pressure therefore ...
+!
+!--    ratio between actual and sea-level pressure is used
+!--    to correct for height in the computation of par;
+!--    should not exceed sea-level pressure therefore ...
        IF (  present(p) )  THEN
           pres = min( p, p_sealevel )
@@ -5116,26 +4870,22 @@
           pres = p_sealevel
        ENDIF
-
-       !
-       !-- direct and diffuse par, Photoactive (=visible) radiation:
+!
+!--    direct and diffuse par, Photoactive (=visible) radiation:
        CALL par_dir_diff( glrad, sinphi, pres, p_sealevel, pardir, pardiff )
-
-       !
-       !-- par for shaded leaves (canopy averaged):
+!
+!--    par for shaded leaves (canopy averaged):
        parshade = pardiff * exp( -0.5 * lai**0.7 ) + 0.07 * pardir * ( 1.1 - 0.1 * lai ) * exp( -sinphi )     !< Norman,1982
        IF ( glrad > 200.0_wp .AND. lai > 2.5_wp )  THEN
           parshade = pardiff * exp( -0.5 * lai**0.8 ) + 0.07 * pardir * ( 1.1 - 0.1 * lai ) * exp( -sinphi )  !< Zhang et al., 2001
        END IF
-
-       !
-       !-- par for sunlit leaves (canopy averaged):
-       !-- alpha -> mean angle between leaves and the sun is fixed at 60 deg -> i.e. cos alpha = 0.5
+!
+!--    par for sunlit leaves (canopy averaged):
+!--    alpha -> mean angle between leaves and the sun is fixed at 60 deg -> i.e. cos alpha = 0.5
        parsun = pardir * 0.5/sinphi + parshade             !< Norman, 1982
        IF ( glrad > 200.0_wp .AND. lai > 2.5_wp )  THEN
           parsun = pardir**0.8 * 0.5 / sinphi + parshade   !< Zhang et al., 2001
        END IF
-
-       !
-       !-- leaf area index for sunlit and shaded leaves:
+!
+!--    leaf area index for sunlit and shaded leaves:
        IF ( sinphi > 0 )  THEN
           laisun = 2 * sinphi * ( 1 - exp( -0.5 * lai / sinphi ) )
@@ -5150,7 +4900,6 @@
 
        f_light = MAX(f_light,f_min(lu))
-
-       !
-       !-- temperature influence; only non-zero within range [tmin,tmax]:
+!
+!--    temperature influence; only non-zero within range [tmin,tmax]:
        IF ( ( tmin(lu) < t ) .AND. ( t < tmax(lu) ) )  THEN
           bt = ( tmax(lu) - topt(lu) ) / ( topt(lu) - tmin(lu) )
@@ -5160,23 +4909,23 @@
        END IF
        f_temp = MAX( f_temp, f_min(lu) )
-
-       ! vapour pressure deficit influence
+!
+!--      vapour pressure deficit influence
        f_vpd = MIN( 1.0_wp, ( ( 1.0_wp - f_min(lu) ) * ( vpd_min(lu) - vpd ) / ( vpd_min(lu) - vpd_max(lu) ) + f_min(lu) ) )
        f_vpd = MAX( f_vpd, f_min(lu) )
 
        f_swp = 1.0_wp
-
-       ! influence of phenology on stom. conductance
-       ! ignored for now in DEPAC since influence of f_phen on lu classes in use is negligible.
-       ! When other EMEP classes (e.g. med. broadleaf) are used f_phen might be too important to ignore
+!
+!--      influence of phenology on stom. conductance
+!--      ignored for now in DEPAC since influence of f_phen on lu classes in use is negligible.
+!--      When other EMEP classes (e.g. med. broadleaf) are used f_phen might be too important to ignore
        f_phen = 1.0_wp
-
-       ! evaluate total stomatal conductance
+!
+!--      evaluate total stomatal conductance
        f_env = f_temp * f_vpd * f_swp
        f_env = MAX( f_env,f_min(lu) )
        gsto = g_max(lu) * f_light * f_phen * f_env
-
-       ! gstom expressed per m2 leafarea;
-       ! this is converted with lai to m2 surface.
+!
+!--      gstom expressed per m2 leafarea;
+!--      this is converted with lai to m2 surface.
        gsto = lai * gsto    ! in m/s
 
@@ -5188,15 +4937,11 @@
 
 
-
  !-------------------------------------------------------------------
  !> par_dir_diff
- !
  !>     Weiss, A., Norman, J.M. (1985) Partitioning solar radiation into direct and
  !>     diffuse, visible and near-infrared components. Agric. Forest Meteorol.
  !>     34, 205-213.
- !
  !>     From a SUBROUTINE obtained from Leiming Zhang,
  !>     Meteorological Service of Canada
- !
  !>     Leiming uses solar irradiance. This should be equal to global radiation and
  !>     Willem Asman set it to global radiation
@@ -5228,48 +4973,37 @@
     REAL(wp) ::  ww                          !< water absorption in the near infrared for 10 mm of precipitable water
 
-
-
-    !
-    !-- Calculate visible (PAR) direct beam radiation
-    !-- 600 W m-2 represents average amount of par (400-700 nm wavelength)
-    !-- at the top of the atmosphere; this is roughly 0.45*solar constant (solar constant=1320 Wm-2)
+!
+!-- Calculate visible (PAR) direct beam radiation
+!-- 600 W m-2 represents average amount of par (400-700 nm wavelength)
+!-- at the top of the atmosphere; this is roughly 0.45*solar constant (solar constant=1320 Wm-2)
     rdu = 600.0_wp* exp( -0.185_wp * ( pres / pres_0 ) / sinphi ) * sinphi
-
-    !
-    !-- Calculate potential visible diffuse radiation
+!
+!-- Calculate potential visible diffuse radiation
     rdv = 0.4_wp * ( 600.0_wp - rdu ) * sinphi
-
-    !
-    !-- Calculate the water absorption in the-near infrared
+!
+!-- Calculate the water absorption in the-near infrared
     ww = 1320 * 10**( -1.195_wp + 0.4459_wp * log10( 1.0_wp / sinphi ) - 0.0345_wp * ( log10( 1.0_wp / sinphi ) )**2 )
-
-    !
-    !-- Calculate potential direct beam near-infrared radiation
+!
+!-- Calculate potential direct beam near-infrared radiation
     rdm = (720.0_wp * exp(-0.06_wp * (pres / pres_0) / sinphi ) - ww ) * sinphi     !< 720 = solar constant - 600
-
-    !
-    !-- Calculate potential diffuse near-infrared radiation
+!
+!-- Calculate potential diffuse near-infrared radiation
     rdn = 0.6_wp * ( 720 - rdm - ww ) * sinphi
-
-    !
-    !-- Compute visible and near-infrared radiation
+!
+!-- Compute visible and near-infrared radiation
     rv = MAX( 0.1_wp, rdu + rdv )
     rn = MAX( 0.01_wp, rdm + rdn )
-
-    !
-    !-- Compute ratio between input global radiation and total radiation computed here
+!
+!-- Compute ratio between input global radiation and total radiation computed here
     ratio = MIN( 0.89_wp, glrad / ( rv + rn ) )
-
-    !
-    !-- Calculate total visible radiation
+!
+!-- Calculate total visible radiation
     sv = ratio * rv
-
-    !
-    !-- Calculate fraction of par in the direct beam
+!
+!-- Calculate fraction of par in the direct beam
     fv = MIN( 0.99_wp, ( 0.9_wp - ratio ) / 0.7_wp )              !< help variable
     fv = MAX( 0.01_wp, rdu / rv * ( 1.0_wp - fv**0.6667_wp ) )    !< fraction of par in the direct beam
-
-    !
-    !-- Compute direct and diffuse parts of par
+!
+!-- Compute direct and diffuse parts of par
     par_dir = fv * sv
     par_diff = sv - par_dir
@@ -5284,18 +5018,15 @@
 
     IMPLICIT NONE
-
-    !
-    !-- Input/output variables:
+!
+!-- Input/output variables:
     REAL(wp), INTENT(IN) ::  temp    !< temperature (C)
     REAL(wp), INTENT(IN) ::  relh    !< relative humidity (%)
 
     REAL(wp), INTENT(OUT) ::  vpd    !< vapour pressure deficit (kPa)
-
-    !
-    !-- Local variables:
+!
+!-- Local variables:
     REAL(wp) ::  esat
-
-    !
-    !-- fit parameters:
+!
+!-- fit parameters:
     REAL(wp), PARAMETER ::  a1 = 6.113718e-01
     REAL(wp), PARAMETER ::  a2 = 4.43839e-02
@@ -5304,12 +5035,10 @@
     REAL(wp), PARAMETER ::  a5 = 2.16e-07
     REAL(wp), PARAMETER ::  a6 = 3.0e-09
-
-    !
-    !-- esat is saturation vapour pressure (kPa) at temp(C) following Monteith(1973)
+!
+!-- esat is saturation vapour pressure (kPa) at temp(C) following Monteith(1973)
     esat = a1 + a2 * temp + a3 * temp**2 + a4 * temp**3 + a5 * temp**4 + a6 * temp**5
     vpd  = esat * ( 1 - relh / 100 )
 
  END SUBROUTINE rc_get_vpd
-
 
 
@@ -5320,7 +5049,6 @@
 
     IMPLICIT NONE
-
-    !
-    !-- Input/output variables:
+!
+!-- Input/output variables:
     INTEGER(iwp), INTENT(IN) ::  icmp          !< component index
     INTEGER(iwp), INTENT(IN) ::  lu            !< land use type, lu = 1,..., nlu
@@ -5329,19 +5057,14 @@
                                                !< N.B. this routine cannot be called with nwet = 9,
                                                !< nwet = 9 should be handled outside this routine.
-
     REAL(wp), INTENT(IN) ::  sai               !< surface area index
     REAL(wp), INTENT(IN) ::  ust               !< friction velocity (m/s)
     REAL(wp), INTENT(IN) ::  t                 !< temperature (C)
-
     REAL(wp), INTENT(OUT) ::  gsoil_eff        !< effective soil conductance (m/s)
-
-    !
-    !-- local variables:
+!
+!-- local variables:
     REAL(wp) ::  rinc                          !< in canopy resistance  (s/m)
     REAL(wp) ::  rsoil_eff                     !< effective soil resistance (s/m)
-
-
-    !
-    !-- Soil resistance (numbers matched with lu_classes and component numbers)
+!
+!-- Soil resistance (numbers matched with lu_classes and component numbers)
     !     grs    ara    crp    cnf    dec    wat    urb   oth    des    ice    sav    trf    wai    med    sem
     REAL(wp), PARAMETER ::  rsoil(nlu_dep,ncmp) = reshape( (/ &
@@ -5357,23 +5080,18 @@
          -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999. /),&  !< H2O2   
          (/nlu_dep,ncmp/) )
-
-    !
-    !-- For                                          o3    so2   no2     no    nh3     co     no3    hno3   n2o5   h2o2
+!
+!-- For                                          o3    so2   no2     no    nh3     co     no3    hno3   n2o5   h2o2
     REAL(wp), PARAMETER ::  rsoil_wet(ncmp)    = (/2000., 10. , 2000., -999., 10.  , -999., -999., -999., -999., -999./)
     REAL(wp), PARAMETER ::  rsoil_frozen(ncmp) = (/2000., 500., 2000., -999., 1000., -999., -999., -999., -999., -999./)
-
-
-
-    !
-    !-- Compute in canopy (in crop) resistance:
+!
+!-- Compute in canopy (in crop) resistance:
     CALL rc_rinc( lu, sai, ust, rinc )
-
-    !
-    !-- Check for missing deposition path:
+!
+!-- Check for missing deposition path:
     IF ( missing(rinc) )  THEN
        rsoil_eff = -9999.0_wp
     ELSE
-       !
-       !-- Frozen soil (temperature below 0):
+!
+!--    Frozen soil (temperature below 0):
        IF ( t < 0.0_wp )  THEN
           IF ( missing( rsoil_frozen( icmp ) ) )  THEN
@@ -5383,6 +5101,6 @@
           ENDIF
        ELSE
-          !
-          !-- Non-frozen soil; dry:
+!
+!--       Non-frozen soil; dry:
           IF ( nwet == 0 )  THEN
              IF ( missing( rsoil( lu, icmp ) ) )  THEN
@@ -5391,7 +5109,6 @@
                 rsoil_eff = rsoil( lu, icmp ) + rinc
              ENDIF
-
-             !
-             !-- Non-frozen soil; wet:
+!
+!--       Non-frozen soil; wet:
           ELSEIF ( nwet == 1 )  THEN
              IF ( missing( rsoil_wet( icmp ) ) )  THEN
@@ -5406,7 +5123,6 @@
        ENDIF
     ENDIF
-
-    !
-    !-- Compute conductance:
+!
+!-- Compute conductance:
     IF ( rsoil_eff > 0.0_wp )  THEN
        gsoil_eff = 1.0_wp / rsoil_eff
@@ -5426,6 +5142,6 @@
     IMPLICIT NONE
 
-    !
-    !-- Input/output variables:
+!
+!-- Input/output variables:
     INTEGER(iwp), INTENT(IN) ::  lu          !< land use class, lu = 1, ..., nlu
 
@@ -5434,18 +5150,16 @@
 
     REAL(wp), INTENT(OUT) ::  rinc           !< in canopy resistance (s/m)
-
-    !
-    !-- b = empirical constant for computation of rinc (in canopy resistance) (= 14 m-1 or -999 if not applicable)
-    !-- h = vegetation height (m)                     gra  ara crop con dec wat   urb   oth   des   ice   sav   trf  wai  med semi
+!
+!-- b = empirical constant for computation of rinc (in canopy resistance) (= 14 m-1 or -999 if not applicable)
+!-- h = vegetation height (m)                     gra  ara crop con dec wat   urb   oth   des   ice   sav   trf  wai  med semi
     REAL(wp), DIMENSION(nlu_dep), PARAMETER ::  b = (/ -999, 14, 14, 14, 14, -999, -999, -999, -999, -999, -999, 14, -999,  &
          14, 14 /)
     REAL(wp), DIMENSION(nlu_dep), PARAMETER ::  h = (/ -999, 1,  1,  20, 20, -999, -999, -999, -999, -999, -999, 20, -999,  &
          1 ,  1 /)
-
-    !
-    !-- Compute Rinc only for arable land, perm. crops, forest; otherwise Rinc = 0:
+!
+!-- Compute Rinc only for arable land, perm. crops, forest; otherwise Rinc = 0:
     IF ( b(lu) > 0.0_wp )  THEN
-       !
-       !-- Check for u* > 0 (otherwise denominator = 0):
+!       !
+!--    Check for u* > 0 (otherwise denominator = 0):
        IF ( ust > 0.0_wp )  THEN
           rinc = b(lu) * h(lu) * sai/ust
@@ -5464,5 +5178,4 @@
 
 
-
  !-------------------------------------------------------------------
  !> rc_rctot: compute total canopy (or surface) resistance Rc
@@ -5472,6 +5185,6 @@
     IMPLICIT NONE
 
-    !
-    !-- Input/output variables:
+!
+!-- Input/output variables:
     REAL(wp), INTENT(IN) ::  gstom         !< stomatal conductance (s/m)
     REAL(wp), INTENT(IN) ::  gsoil_eff     !< effective soil conductance (s/m)
@@ -5480,11 +5193,9 @@
     REAL(wp), INTENT(OUT) ::  gc_tot       !< total canopy conductance (m/s)
     REAL(wp), INTENT(OUT) ::  rc_tot       !< total canopy resistance Rc (s/m)
-
-    !
-    !-- Total conductance:
+!
+!-- Total conductance:
     gc_tot = gstom + gsoil_eff + gw
-
-    !
-    !-- Total resistance (note: gw can be negative, but no total emission allowed here):
+!
+!-- Total resistance (note: gw can be negative, but no total emission allowed here):
     IF ( gc_tot <= 0.0_wp .OR. gw < 0.0_wp )  THEN
        rc_tot = -9999.0_wp
@@ -5496,10 +5207,8 @@
 
 
-
  !-------------------------------------------------------------------
  !> rc_comp_point_rc_eff: calculate the effective resistance Rc
  !> based on one or more compensation points
  !-------------------------------------------------------------------
- !
  !> NH3rc (see depac v3.6 is based on Avero workshop Marc Sutton. p. 173.
  !> Sutton 1998 AE 473-480)
@@ -5558,11 +5267,9 @@
  !>
  ! -------------------------------------------------------------------------------------------
-
 ! SUBROUTINE rc_comp_point_rc_eff( ccomp_tot, catm, ra, rb, rc_tot, rc_eff )
 !
 !    IMPLICIT NONE
 !
-!    !
-!    !-- Input/output variables:
+!!-- Input/output variables:
 !    REAL(wp), INTENT(IN) ::  ccomp_tot    !< total compensation point (weighed average of separate compensation points) (ug/m3)
 !    REAL(wp), INTENT(IN) ::  catm         !< atmospheric concentration (ug/m3)
@@ -5574,19 +5281,19 @@
 !
 !    !
-!    !-- Compute effective resistance:
+!!-- Compute effective resistance:
 !    IF (  ccomp_tot == 0.0_wp )  THEN
 !       !
-!       !-- trace with no compensiation point ( or compensation point equal to zero)
+!!--    trace with no compensiation point ( or compensation point equal to zero)
 !       rc_eff = rc_tot
 !
 !    ELSE IF ( ccomp_tot > 0.0_wp .AND. ( abs( catm - ccomp_tot ) < 1.e-8 ) )  THEN
 !       !
-!       !--surface concentration (almost) equal to atmospheric concentration
-!       !-- no exchange between surface and atmosphere, infinite RC --> vd=0
+!!--   surface concentration (almost) equal to atmospheric concentration
+!!--    no exchange between surface and atmosphere, infinite RC --> vd=0
 !       rc_eff = 9999999999.0_wp
 !
 !    ELSE IF ( ccomp_tot > 0.0_wp )  THEN
 !       !
-!       !-- compensation point available, calculate effective resistance
+!!--    compensation point available, calculate effective resistance
 !       rc_eff = ( ( ra + rb ) * ccomp_tot + rc_tot * catm ) / ( catm - ccomp_tot )
 !
@@ -5602,16 +5309,14 @@
 
 
-
  !-------------------------------------------------------------------
  !> missing: check for data that correspond with a missing deposition path
  !>          this data is represented by -999
  !-------------------------------------------------------------------
-
  LOGICAL function missing( x )
 
     REAL(wp), INTENT(IN) ::  x
 
-    !
-    !-- bandwidth for checking (in)equalities of floats
+!
+!-- bandwidth for checking (in)equalities of floats
     REAL(wp), PARAMETER :: eps = 1.0e-5
 
@@ -5621,12 +5326,10 @@
 
 
-
  ELEMENTAL FUNCTION sedimentation_velocity( rhopart, partsize, slipcor, visc ) RESULT( vs )
 
-
     IMPLICIT NONE
 
-    !
-    !-- in/out
+!
+!-- in/out
 
     REAL(wp), INTENT(IN) ::  rhopart                 !< particle density (kg/m3)
@@ -5636,13 +5339,9 @@
 
     REAL(wp) ::  vs
-
-    !
-    !-- acceleration of gravity:
+!
+!-- acceleration of gravity:
     REAL(wp), PARAMETER         ::  grav = 9.80665   !< m/s2
 
-
-
-    !
-    !-- sedimentation velocity
+!-- sedimentation velocity
     vs = rhopart * ( partsize**2.0_wp ) * grav * slipcor / ( 18.0_wp * visc )
 
@@ -5656,8 +5355,8 @@
       luc, ftop_lu, ustar_lu )
 
-
     IMPLICIT NONE  
 
-    ! -- in/out 
+!
+!-- in/out 
 
     INTEGER(iwp), INTENT(IN) ::  nwet        !< 1=rain, 9=snowcover
@@ -5675,8 +5374,6 @@
     REAL(wp), INTENT(OUT) ::  vd             !< deposition velocity (m/s)
     REAL(wp), INTENT(OUT) ::  Rs             !< sedimentaion resistance (s/m)
-
-
-    !
-    !-- constants 
+!
+!-- constants 
 
     REAL(wp), PARAMETER ::  grav     = 9.80665             !< acceleration of gravity (m/s2)
@@ -5693,10 +5390,8 @@
     REAL(wp), PARAMETER ::A_lu(nlu_dep) = &   
          (/3.0,  3.0,   2.0,  2.0,  7.0,  -99.,   10.0, 3.0, -99., -99.,  3.0, 7.0, -99., 2.0, -99./)
-    !
-    !--   grass  arabl crops conif decid  water  urba  othr  desr  ice   sav  trf   wai  med   sem     
-
-    !
-    !-- local
-
+!
+!--   grass  arabl crops conif decid  water  urba  othr  desr  ice   sav  trf   wai  med   sem     
+!
+!-- local
     REAL(wp) ::  kinvisc
     REAL(wp) ::  diff_part
@@ -5707,22 +5402,18 @@
     REAL(wp) ::  Einterc
     REAL(wp) ::  Reffic
-
-
-    !
-    !-- kinetic viscosity & diffusivity
+!
+!-- kinetic viscosity & diffusivity
     kinvisc = viscos1 / dens1    !< only needed at surface
 
     diff_part = kb * tsurf * slipcor / ( 3 * pi * viscos1 * partsize )
-
-    !
-    !-- Schmidt number
+!
+!-- Schmidt number
     schmidt = kinvisc / diff_part
-
-    !
-    !-- calculate collection efficiencie E
+!
+!-- calculate collection efficiencie E
     Ebrown = Schmidt**( -gamma_lu(luc) )    !< Brownian diffusion
-    !
-    !-- determine Stokes number, interception efficiency 
-    !-- and sticking efficiency R (1 = no rebound)
+!
+!-- determine Stokes number, interception efficiency 
+!-- and sticking efficiency R (1 = no rebound)
     IF ( luc == ilu_ice .OR. nwet==9 .OR. luc == ilu_water_sea .OR. luc == ilu_water_inland )  THEN
        stokes = vs1 * ustar_lu**2 / ( grav * kinvisc )
@@ -5738,25 +5429,21 @@
        Reffic = exp( -Stokes**0.5_wp )
     END IF
-    !
-    !-- when surface is wet all particles do not rebound:
+!
+!-- when surface is wet all particles do not rebound:
     IF ( nwet==1 )  Reffic = 1.0_wp
-    !
-    !-- determine impaction efficiency:
+!
+!-- determine impaction efficiency:
     Eimpac = ( stokes / ( alfa_lu(luc) + stokes ) )**beta
-
-    !
-    !-- sedimentation resistance:
+!
+!-- sedimentation resistance:
     Rs = 1.0_wp / ( epsilon0 * ustar_lu * ( Ebrown + Eimpac + Einterc ) * Reffic )
 
-    !
-    !-- deposition velocity according to Seinfeld and Pandis (2006; eq 19.7):
-    !
-    !            1
-    !    vd = ------------------ + vs
-    !         Ra + Rs + Ra*Rs*vs
-    !
-    !-- where: Rs = Rb (in Seinfeld and Pandis, 2006)
-    !
-    !
+!-- deposition velocity according to Seinfeld and Pandis (2006; eq 19.7):
+!--  
+!--              1
+!--      vd = ------------------ + vs
+!--           Ra + Rs + Ra*Rs*vs
+!--  
+!-- where: Rs = Rb (in Seinfeld and Pandis, 2006)
 
     vd = 1.0_wp / ( ftop_lu + Rs + ftop_lu * Rs * vs1) + vs1
@@ -5772,8 +5459,9 @@
  SUBROUTINE get_rb_cell( is_water, z0h, ustar, diffc, Rb )    
 
-   
+
     IMPLICIT NONE
 
-    !-- in/out 
+!
+!-- in/out 
 
     LOGICAL , INTENT(IN) ::  is_water
@@ -5784,24 +5472,21 @@
 
     REAL(wp), INTENT(OUT) ::  Rb                  !< boundary layer resistance
-
-    !
-    !-- const
+!
+!-- const
 
     REAL(wp), PARAMETER ::  thk = 0.19e-4         !< thermal diffusivity of dry air 20 C
     REAL(wp), PARAMETER ::  kappa_stab = 0.35     !< von Karman constant
-
 !
 !-- Next line is to avoid compiler warning about unused variable
     IF ( is_water  .OR.  ( z0h + kappa_stab ) > 0.0_wp )  CONTINUE
-
-    !
-    !-- Use Simpson et al. (2003) 
-    !-- @TODO: Check Rb over water calculation, until then leave commented lines
-    !IF ( is_water )  THEN
-    ! org: Rb = 1.0_wp / (kappa_stab*MAX(0.01_wp,ustar)) * log(z0h/diffc*kappa_stab*MAX(0.01_wp,ustar))
-    !      Rb = 1.0_wp / (kappa_stab*MAX(0.1_wp,ustar)) * log(z0h/diffc*kappa_stab*MAX(0.1_wp,ustar))
-    !ELSE
+!
+!-- Use Simpson et al. (2003) 
+!-- @TODO: Check Rb over water calculation, until then leave commented lines
+!--  IF ( is_water )  THEN
+!--   org: Rb = 1.0_wp / (kappa_stab*MAX(0.01_wp,ustar)) * log(z0h/diffc*kappa_stab*MAX(0.01_wp,ustar))
+!--        Rb = 1.0_wp / (kappa_stab*MAX(0.1_wp,ustar)) * log(z0h/diffc*kappa_stab*MAX(0.1_wp,ustar))
+!--  ELSE
     Rb = 5.0_wp / MAX( 0.01_wp, ustar ) * ( thk / diffc )**0.67_wp
-    !END IF
+!--  END IF
 
  END SUBROUTINE get_rb_cell
@@ -5835,6 +5520,6 @@
     IMPLICIT NONE
 
-    !
-    !-- in/out 
+!
+!-- in/out 
 
     REAL(wp), INTENT(IN) ::  q                      !< specific humidity [(kg water)/(kg air)]
@@ -5842,16 +5527,13 @@
 
     REAL(wp) ::  p_w                                !< water vapor partial pressure [Pa]
-
-    !
-    !-- const 
+!
+!-- const 
 
     REAL(wp), PARAMETER  ::  eps = xm_h2o / xm_air  !< mole mass ratio ~ 0.622
-
-    !
-    !-- partial pressure of water vapor:
+!
+!-- partial pressure of water vapor:
     p_w = p * q / eps
 
  END function watervaporpartialpressure
-
 
 
@@ -5880,21 +5562,18 @@
     IMPLICIT NONE
 
-    !
-    !-- in/out
+!
+!-- in/out
 
     REAL(wp), INTENT(IN) ::  t            !< temperature [K]
 
     REAL(wp) ::  e_sat_w                  !< saturation vapor pressure  [Pa]
-
-    !
-    !-- const 
+!
+!-- const 
     REAL(wp), PARAMETER ::  p0 = 611.2   !< base pressure [Pa]
-
-    !
-    !-- saturation vapor pressure:
+!
+!-- saturation vapor pressure:
     e_sat_w = p0 * exp( 17.67_wp * ( t - 273.16_wp ) / ( t - 29.66_wp ) )    !< [Pa]
 
  END FUNCTION saturationvaporpressure
-
 
 
@@ -5912,6 +5591,6 @@
     IMPLICIT NONE
 
-    !
-    !-- in/out 
+!
+!-- in/out 
 
     REAL(wp), INTENT(IN) ::  q    !< specific humidity [(kg water)/(kg air)]
@@ -5920,11 +5599,9 @@
 
     REAL(wp) ::  rh               !< relative humidity [%]
-
-    !
-    !-- relative humidity:
+!
+!-- relative humidity:
     rh = watervaporpartialpressure( q, p ) / saturationvaporpressure( t ) * 100.0_wp
 
  END FUNCTION relativehumidity_from_specifichumidity
-
 
      
